Package org.apache.sysds.runtime.compress.colgroup.indexes

# Enum Class IColIndex.ColIndexType

java.lang.Object
java.lang.Enum<IColIndex.ColIndexType>
org.apache.sysds.runtime.compress.colgroup.indexes.IColIndex.ColIndexType

All Implemented Interfaces:
  `Serializable`, `Comparable<IColIndex.ColIndexType>`, `Constable`

Enclosing interface:
  IColIndex

public static enum IColIndex.ColIndexType extends Enum<IColIndex.ColIndexType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARRAY`
`COMBINED`
`RANGE`
`SINGLE`
`TWO`
`TWORANGE`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`static IColIndex.ColIndexType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IColIndex.ColIndexType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SINGLE

public static final IColIndex.ColIndexType SINGLE

### TWO

public static final IColIndex.ColIndexType TWO

### ARRAY

public static final IColIndex.ColIndexType ARRAY

### RANGE

public static final IColIndex.ColIndexType RANGE

### TWORANGE

public static final IColIndex.ColIndexType TWORANGE

### COMBINED

public static final IColIndex.ColIndexType COMBINED

### UNKNOWN

public static final IColIndex.ColIndexType UNKNOWN

## Method Details

### values

public static IColIndex.ColIndexType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IColIndex.ColIndexType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null